/* 
  ==================================================
    Document footer
  --------------------------------------------------
    Dependencies:
      - variables
  ==================================================
*/

  @{documentClass} {
    &--footer {
      @padding: .5em;

      background: @cBlack;
      padding: @padding 0;
      color: darken(@cGray, 38%);
      @{wrapperClass} {
        
      }
      .title {
        margin: 2.8em 0 1.6em;
        color: @cWhite;
        text-transform: uppercase;
      }
      .navigation {
        margin: 0;
        padding: 0;
        list-style: none;
        li {
          margin: 0 0 .58em;
          a {
            text-transform: uppercase;
            color: darken(@cGray, 38%);
            &:hover {
              color: @cWhite;
            }
          }
        }
      }
      .contacts {
        margin: 0;
        padding: 0;
        list-style: none;
        a {
          color: @cWhite;
          &[href^="tel"] {
            color: @cYellowDark;
            line-height: 30px;
          }
          &:hover {
            color: @cWhite;
          }
        }
      }
      .footer {
        padding: (@padding * 2) 0;
        .copyright {
          color: darken(@cGray, 54%);
          font-size: 12px;
        }
        .social {
          &--list {
            justify-content: flex-end;
          }
        }
        @media screen {
          @media (max-width: 640px) {
            .copyright {
              display: block;
              margin: @padding 0 0;
              text-align: center;
            }
            .social {
              order: -1;
              &--list {
                justify-content: center;
              }
            }
          }
        }
      }
    }
  }
